LINUX.ORG.RU

Re: Проблема с Synaptic - циклические зависимости

apt-get update
apt-get install findutils

?

apt-get update
apt-get dist-upgrade

?

cd /var/cache/apt/archives/
dpkg --ignore-depends=libc6 -i findutils-xxxx.deb

xtron ()

Re: Проблема с Synaptic - циклические зависимости

apt-get update проходит нормально

apt-get install findutils заканчивается ошибкой "E: Couldn't configure pre-depend libc6 for findutils, probably a dependency cycle."

apt-get dist-upgrade заканчивается ошибкой "E: Couldn't configure pre-depend libc6 for findutils, probably a dependency cycle."

sudo dpkg --ignore-depends=libc6 -i findutils-xxxx.deb выдает ошибку "dpkg: не удалось открыть для чтения файл информации о пакете /var/lib/dpkg/available: No such file or directory"

anonymous ()

Re: Проблема с Synaptic - циклические зависимости

aptitude --download-only install libc6 (не помню как там apt-get'ом)
и далее по тексту, где xxxx это версия (используй автоподстановку)

если оно всё же проверяет при этом зависимости, то скачать руками с репов дистрибутива. У дебиана это packages.debian.org, в убунте не знаю. Если руками, то всё равно куда копировать.

А потом уже dpkg.

Deleted ()

Re: Проблема с Synaptic - циклические зависимости

libc6 и findutils я пробовал установить всеми способами, но после того как пакет закачивается, и начинается его установка сразу же вываливается бе-бе-бе, бе-бе-бе - E: Couldn't configure pre-depend libc6 for findutils, probably a dependency cycle.

anonymous ()

Re: Проблема с Synaptic - циклические зависимости

Такие пакеты нужно ставить только из репозитория твоего дистрибутива, а ты видимо ставишь из другого или версии другой.

snizovtsev ★★★★ ()

Re: Проблема с Synaptic - циклические зависимости

Что говорит команда:

ls -l /var/cache/apt/archives/findutils*

?

xtron ()

Re: Проблема с Synaptic - циклические зависимости

"--ignore-depends=" - это от лукавого. за многие годы пользования дебианом ни разу не приходилось так извращаться. сомневаюсь, что и в ubuntu такие базовые пакеты поломаны.

1) обновить кэш пакетов - скорее всего дело в этом

$ sudo apt-get update

2) если прежние установки были неудачные:

$ sudo apt-get -f install

3) и собственно установка:

$ sudo apt-get install findutils

4) ну и не помешает обновиться:

$ sudo apt-get upgrade

sudo - если настроен. ну или без sudo под рутом (вы ведь не работаете под рутом?)

jellyfish ()

Re: Проблема с Synaptic - циклические зависимости

>2) если прежние установки были неудачные:

>$ sudo apt-get -f install

Это и заканчивается указанной выше ошибкой.

Ладно, спасибо всем за помощь, наверное проще переустановить систему.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.